View Issue Details

IDProjectCategoryView StatusLast Update
0000140file[All Projects] Generalpublic2020-02-16 15:53
ReportergockelhahnAssigned Tochristos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSarch linuxOS Version
Product Version5.38 
Target VersionFixed in Version5.39 
Summary0000140: hit asserts send SIGABRT leading to unplanned exit
Descriptionfuzzing with stock afl found some binary magic files, which will run into code asserts, which will lead to an abrupt:

    Aborted (core dumped)
    echo $?
    134

when seccomp is compiled in, we get:

    Bad system call
    echo $?
    159


not sure if you like the output or if you want to exit the program with a more userfriendly message?
Steps To Reproduce    git clone https://github.com/file/file.git
    cd file
    export CFLAGS="-g -fsanitize=address -fno-omit-frame-pointer"
    autoreconf -i
    ./configure [--disable-libseccomp]
    make all
    ./src/.libs/lt-file -m ~/test3.mgc /etc/services
Additional Information    master @ 85b214cd422dd2538800c8b6d6e6c383d9ee17bf
Tagsmagic

Activities

gockelhahn

2020-02-04 23:32

reporter  

test3.mgc (6 bytes)

christos

2020-02-13 17:21

manager   ~0003357

Fixed, thanks!

gockelhahn

2020-02-15 21:34

reporter   ~0003366

i still have some sigabrt magics, which still crash

gockelhahn

2020-02-15 21:36

reporter   ~0003367

see new attachment ... thanks for caring!

crash.tar.gz (553 bytes)

christos

2020-02-16 15:53

manager   ~0003368

Fixed, these are all the same issue.

Issue History

Date Modified Username Field Change
2020-02-04 23:32 gockelhahn New Issue
2020-02-04 23:32 gockelhahn File Added: test3.mgc
2020-02-04 23:32 gockelhahn Tag Attached: magic
2020-02-13 17:21 christos Assigned To => christos
2020-02-13 17:21 christos Status new => assigned
2020-02-13 17:21 christos Status assigned => resolved
2020-02-13 17:21 christos Resolution open => fixed
2020-02-13 17:21 christos Fixed in Version => 5.39
2020-02-13 17:21 christos Note Added: 0003357
2020-02-15 21:34 gockelhahn Status resolved => feedback
2020-02-15 21:34 gockelhahn Resolution fixed => reopened
2020-02-15 21:34 gockelhahn Note Added: 0003366
2020-02-15 21:36 gockelhahn File Added: crash.tar.gz
2020-02-15 21:36 gockelhahn Note Added: 0003367
2020-02-15 21:36 gockelhahn Status feedback => assigned
2020-02-16 15:53 christos Note Added: 0003368
2020-02-16 15:53 christos Status assigned => resolved
2020-02-16 15:53 christos Resolution reopened => fixed